![K2](https://getk2.org/downloads/logo/k2_logo.png)
***

You've already been there... Joomla is a great content management system. In fact it's considered one of the best in the world. But the default article system in Joomla is both spartan and confusing to configure and template in newer versions! In Joomla 1.5 it was just a title and your content body. In Joomla 2.5 article images where introduced as separate fields (but without any auto-resizing) and in Joomla 3.x tags where introduced as a separate component. Have you seen the options to configure all these?

This is where K2 comes in.

**K2 was built as a complete replacement of the default article system in Joomla**. Install it like any Joomla extension, import your articles from the default Joomla article system and you instantly get a host of new features for your existing content: rich content forms for items (think of Joomla articles with additional fields for article images, videos, podcasts & other audio files, image galleries and attachments), hassle-free image management (uploaded item images are auto-resized to 6 configurable dimensions, either globally or per category - you can now forget about using Photoshop resizing!), comments, tagging, built-in options to extend content forms (e.g. to create product catalogs), powerful content modules fetching K2 content in any way you can imagine, frontend editing with easy to use access control settings (for content-heavy websites), powerful yet easy templating (and sub-templating) for going above the "Joomla average", extended user profiles, user groups, blogs, a powerful plugin API to extend item/category/user forms, "drag and drop" media manager and many more!

K2 is the ideal solution for managing your content, regardless of site "size": you can use it from a small blog to a complex corporate site or even a multi-author environment (portals, magazines etc.). To provide a practical example, using K2, you can transform your Joomla website to a news/magazine site with author blogs, product catalogs, work portfolio, knowledge base, download/document manager, directory listing, event listing and more, all this bundled under one package! And since K2 is extensible with additional fields to its base item form, you can easily create category-specific content types, e.g. article, blog post, product page, directory listing.

**It's no wonder that K2 powers some of the biggest and most popular Joomla sites ever built worldwide!**

These integrated features in K2 not only save website administrators precious management time (from managing a dozen extensions which would otherwise be required), but they also allow for better performance.

K2 was actually built on these 4 principles: feature-rich content in Joomla, ease of use (for any type of user), flexible templating, performance

**And best of all? K2 is totally free to use!**

### Some facts about K2
* Actively powers hundreds of thousands Joomla websites worldwide ([metrics](https://metrics.getk2.org) gathered since v2.7.0).
* It has been downloaded more than 3 million times since March 2009.
* Almost all template clubs provide K2 specific styling and/or display K2 as part of their demo sites.
* There are hundreds of extensions supporting or integrating K2 in the Joomla Extensions Directory - see: https://extensions.joomla.org/instant-search/?searchall=k2&q=k2
* The Joomla Magazine and JoomlaGov.info (the directory for government websites built with Joomla) are powered by K2
* K2 is used in some of the top Joomla websites worldwide by organizations like the Harvard University, The National Institute of Technology in Brazil, the UK's NHS, Top Gear, Groupama, Amnesty International, ActionAid, The High Court of Australia, Arturia, Cyrus Audio and many, many more.
* K2 is compatible with Joomla 1.5, 2.5 and the latest 3.x releases.

### Downloading K2
You can find the latest stable release on: https://getk2.org

If you are looking for the latest developer build (a snapshot from this Github repository) just use Github's "Download ZIP" button.

### Resources
The K2 Community is the ultimate destination for everything K2! From discussions in the Community Forum to Extensions & Templates in the "K2 Extensions Directory", as well as a wealth of video tutorials, documentation, tips & a showcase of Joomla sites built with K2.

More at: https://getk2.org

***

Copyright &copy; 2006-2019 [JoomlaWorks Ltd.](https://www.joomlaworks.net)
